futurify

    1.0.0 • Public • Published

    futurify

    A simple version of the future.

    npm travis standard conduct

    About

    This browserify transform compiles a subset of es2015 to es5.

    The future of the future

    This preset will be modified as browser support changes and new versions of ecmascript are released.

    Don't depend on this in npm packages

    I recommend not using this transform, or using babel at all, for packages that are released on npm. If the only thing keeping your code from running in older browsers or in older versions of node is es2015+ syntax, refactor to remove that syntax. This is easier for everybody.

    I've created this specifically for use in applications where the syntax improvements are helpful for browser code.

    Install

    npm install --save-dev futurify

    Usage

    Via package.json (recommended):

    {
      "browserify": {
        "transform": [
          "futurify"
        ]
      }
    }

    Via CLI:

    $ browserify client.js -t futurify -bundle.js

    Via Node API:

    const browserify = require('browserify')
    browserify('./client.js')
      .transform('futurify')
      .bundle()
      .pipe(process.stdout)

    See also

    Conduct

    It is important that this project contributes to a friendly, safe, and welcoming environment for all. Read this project's code of conduct

    Contact

    Credit

    Big thanks to @zertosh for letting me use the futurify package name on npm! Looking for the previous futurify package?

    License

    ISC

    Install

    npm i futurify

    DownloadsWeekly Downloads

    0

    Version

    1.0.0

    License

    ISC

    Last publish

    Collaborators

    • sethvincent
    • zertosh